back to phpList.org

Wordpress integration - WP PHPList outdated?

Hello!

I want to use phplist with wordpress - especially for a subscriber box.
I found the WP Plugin “WP PHPList 1.7” - but it seems outdated: “This plugin hasn’t been updated in over 2 years.
It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.”

What is the way to go?
Thanks for helping.
Regards!

1 Like

You can try these wordpress plugins that might be more recent

and this topic in the old forums
https://forums.phplist.com/viewtopic.php?f=7&t=41192

3 Likes

hi duncanc,

thanks for your reply, sign me up works perfectly!

1 Like

It does not allow to add the subscribe on a page. You can only use as a Widget

true, this is the most common use I suppose, because it puts it on every page so you get better coverage and more sign ups

This one is kept up to date I think. I use it myself.

Last Update for Sign me up was in 2015.

A new candidate is PhpList Subber
As of now:
WordPress Version: 4.6 or higher
Tested up to: 5.4.2

I didn’t test it, though.